[ Identification | Description | Input parameters | Output parameters | Links ]

# The `PSDlin_monitor` Component

Rectangular 1D PSD, measuring intensity vs. vertical position, x Example: PSDlin_monitor(nx=20, filename="Output.x", xmin=-0.1, xmax=0.1, ymin=-0.1, ymax=0.1)

## Identification

- Author: Kim Lefmann
- Origin: Risoe
- Date: May 7, 2001
- Version: 1.12

## Input parameters

Parameters in boldface are required; the others are optional.

Name | Unit | Description | Default
--- | --- | --- | ---
nx | 1 | Number of x bins |
filename | text | Name of file in which to store the detector image |
xmin | m | Lower x bound of detector opening |
xmax | m | Upper x bound of detector opening |
ymin | m | Lower y bound of detector opening |
ymax | m | Upper y bound of detector opening |

## Output parameters

Name | Unit | Description | Default
--- | --- | --- | ---
PSDlin_N |  |  |
PSDlin_p |  |  |
PSDlin_p2 |  |  |

## Links

- Source code for `PSDlin_monitor.comp`.

[ Identification | Description | Input parameters | Output parameters | Links ]